<?php
/**
 * The Header for our theme.
 *
 * Displays all of the <head> section and everything up till <div class="container">
 *
 * @package Extreme Lite
 */
?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="profile" href="http://gmpg.org/xfn/11">
<?php if ( is_singular() && pings_open( get_queried_object() ) ) : ?>
	<link rel="pingback" href="<?php echo esc_url( get_bloginfo( 'pingback_url' ) ); ?>">
<?php endif; ?>
<?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>
<?php
	if ( function_exists( 'wp_body_open' ) ) {
		wp_body_open();
	} else {
		do_action( 'wp_body_open' );
	}
?>
<a class="skip-link screen-reader-text" href="#tab-locator-part">
<?php esc_html_e('Skip to content', 'extreme-lite' ); ?>
</a>
<?php
$extreme_lite_hdrinfo_section_show 	   			= esc_attr( get_theme_mod('extreme_lite_hdrinfo_section_show', false) ); 
$extreme_lite_homeslider_sections_show 	  	= esc_attr( get_theme_mod('extreme_lite_homeslider_sections_show', false) );
$extreme_lite_fourcolumn_sections_show        = esc_attr( get_theme_mod('extreme_lite_fourcolumn_sections_show', false) );
$extreme_lite_welcomepage_sections_show      	= esc_attr( get_theme_mod('extreme_lite_welcomepage_sections_show', false) );
?>
<div id="main-site-wrapper" <?php if( get_theme_mod( 'extreme_lite_boxlayoutoption' ) ) { echo 'class="boxlayout"'; } ?>>
<?php
if ( is_front_page() && !is_home() ) {
	if( !empty($extreme_lite_homeslider_sections_show)) {
	 	$innerpage_cls = '';
	}
	else {
		$innerpage_cls = 'innerpage_header';
	}
}
else {
$innerpage_cls = 'innerpage_header';
}
?>

<div id="masthead" class="site-header <?php echo esc_attr($innerpage_cls); ?> ">      
        <?php if( $extreme_lite_hdrinfo_section_show != ''){ ?> 
          <div class="topstrip-100">
           <div class="container">  
           <div class="left">           
            <?php $extreme_lite_phonenumber = get_theme_mod('extreme_lite_phonenumber');
                if( !empty($extreme_lite_phonenumber) ){ ?>              
                <div class="infodtbox">
                    <i class="fas fa-phone fa-rotate-90"></i>
                    <?php echo esc_html($extreme_lite_phonenumber); ?>
                </div>       
            <?php } ?>            
                      
         </div>
         <div class="right">
          <?php $email = get_theme_mod('extreme_lite_emailinfo');
                if( !empty($email) ){ ?>                
                <div class="infodtbox">
                    <i class="far fa-envelope"></i>
                    <a href="<?php echo esc_url('mailto:'.sanitize_email($email)); ?>"><?php echo sanitize_email($email); ?></a>
                </div>            
            <?php } ?> 
             
             <div class="infodtbox">
                <div class="topsocial-bx">                                                
					   <?php $extreme_lite_facebooklink = get_theme_mod('extreme_lite_facebooklink');
                        if( !empty($extreme_lite_facebooklink) ){ ?>
                        <a class="fab fa-facebook-f" target="_blank" href="<?php echo esc_url($extreme_lite_facebooklink); ?>"></a>
                       <?php } ?>
                    
                       <?php $extreme_lite_twitterlink = get_theme_mod('extreme_lite_twitterlink');
                        if( !empty($extreme_lite_twitterlink) ){ ?>
                        <a class="fab fa-twitter" target="_blank" href="<?php echo esc_url($extreme_lite_twitterlink); ?>"></a>
                       <?php } ?>
                
                      <?php $extreme_lite_linkedinlink = get_theme_mod('extreme_lite_linkedinlink');
                        if( !empty($extreme_lite_linkedinlink) ){ ?>
                        <a class="fab fa-linkedin" target="_blank" href="<?php echo esc_url($extreme_lite_linkedinlink); ?>"></a>
                      <?php } ?> 
                      
                      <?php $extreme_lite_instagramlink = get_theme_mod('extreme_lite_instagramlink');
                        if( !empty($extreme_lite_instagramlink) ){ ?>
                        <a class="fab fa-instagram" target="_blank" href="<?php echo esc_url($extreme_lite_instagramlink); ?>"></a>
                      <?php } ?> 
                  </div><!--end .topsocial-bx-->
                </div><!--end .infodtbox-->   
               </div> 
        	<div class="clear"></div> 
          </div><!-- .container -->  
      </div><!-- .topstrip-100 -->      
   <?php } ?>   


    <div class="container"> 
      <div class="LogoNav-Panel">     
         <div class="logo <?php if( $extreme_lite_hdrinfo_section_show == ''){ ?>hdrlogo<?php } ?>">
           <?php extreme_lite_the_custom_logo(); ?>
            <div class="site_branding">
                <h1><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo('name'); ?></a></h1>
                <?php $description = get_bloginfo( 'description', 'display' );
                if ( $description || is_customize_preview() ) : ?>
                    <p><?php echo esc_html($description); ?></p>
                <?php endif; ?>
            </div>
         </div><!-- logo --> 
         
          <div class="menupart-70"> 
             <div id="navigationpanel"> 
                 <nav id="main-navigation" class="site-menu-block" role="navigation" aria-label="Primary Menu">
                    <button type="button" class="menu-toggle">
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                    </button>
                    <?php
                    	wp_nav_menu( array(
                        'theme_location' => 'primary',
                        'menu_id'        => 'primary-menu',
                        'menu_class'     => 'nav-menu',
                    ) );
                    ?>
                </nav><!-- #main-navigation -->  
            </div><!-- #navigationpanel -->               
          </div><!-- .menupart-70 --> 
         <div class="clear"></div>
       </div><!-- .LogoNav-Panel -->    
    </div><!-- .container -->  
</div><!--.site-header --> 
 
<?php 
if ( is_front_page() && !is_home() ) {
if($extreme_lite_homeslider_sections_show != '') {
	for($i=1; $i<=3; $i++) {
	  if( get_theme_mod('extreme_lite_slidepage'.$i,false)) {
		$slider_Arr[] = absint( get_theme_mod('extreme_lite_slidepage'.$i,true));
	  }
	}
?> 
<div class="FrontSlider">              
<?php if(!empty($slider_Arr)){ ?>
<div id="slider" class="nivoSlider">
<?php 
$i=1;
$slidequery = new WP_Query( array( 'post_type' => 'page', 'post__in' => $slider_Arr, 'orderby' => 'post__in' ) );
while( $slidequery->have_posts() ) : $slidequery->the_post();
$image = wp_get_attachment_url( get_post_thumbnail_id($post->ID)); 
$thumbnail_id = get_post_thumbnail_id( $post->ID );
$alt = get_post_meta($thumbnail_id, '_wp_attachment_image_alt', true); 
?>
<?php if(!empty($image)){ ?>
<img src="<?php echo esc_url( $image ); ?>" title="#slidecaption<?php echo esc_attr( $i ); ?>" alt="<?php echo esc_attr($alt); ?>" />
<?php }else{ ?>
<img src="<?php echo esc_url( get_template_directory_uri() ) ; ?>/images/slides/slider-default.jpg" title="#slidecaption<?php echo esc_attr( $i ); ?>" alt="<?php echo esc_attr($alt); ?>" />
<?php } ?>
<?php $i++; endwhile; ?>
</div>   

<?php 
$j=1;
$slidequery->rewind_posts();
while( $slidequery->have_posts() ) : $slidequery->the_post(); ?>                 
    <div id="slidecaption<?php echo esc_attr( $j ); ?>" class="nivo-html-caption">         
     <h2><?php the_title(); ?></h2>
     <p><?php $excerpt = get_the_excerpt(); echo esc_html( extreme_lite_string_limit_words( $excerpt, esc_attr(get_theme_mod('extreme_lite_slidepage_excerptlength','10')))); ?></p>
		<?php
        $extreme_lite_slide_discbtn = get_theme_mod('extreme_lite_slide_discbtn');
        if( !empty($extreme_lite_slide_discbtn) ){ ?>
            <a class="slidermorebtn" href="<?php the_permalink(); ?>"><?php echo esc_html($extreme_lite_slide_discbtn); ?></a>
        <?php } ?> 
                        
    </div>   
<?php $j++; 
endwhile;
wp_reset_postdata(); ?>   
<?php } ?>
</div><!-- .FrontSlider -->    
<?php } } ?> 

<?php if ( is_front_page() && ! is_home() ) { ?>  
 <?php if( $extreme_lite_fourcolumn_sections_show != ''){ ?>  
   <section id="Section-1">
     <div class="container">      
         <div class="box-equal-height"> 
            <?php 
                for($n=1; $n<=4; $n++) {    
                if( get_theme_mod('extreme_lite_fourcolpage'.$n,false)) {      
                    $queryvar = new WP_Query('page_id='.absint(get_theme_mod('extreme_lite_fourcolpage'.$n,true)) );		
                    while( $queryvar->have_posts() ) : $queryvar->the_post(); ?>     
                     <div class="column-four-box <?php if($n % 4 == 0) { echo "last_column"; } ?>">  
                    	 <div class="equal-height-bx">
							  <?php if(has_post_thumbnail() ) { ?>
                                <div class="fourbx-thumb">
                                  <a href="<?php the_permalink(); ?>"><?php the_post_thumbnail(); ?></a>                                
                                </div>        
                               <?php } ?>
                               <h3><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
                               <p><?php $excerpt = get_the_excerpt(); echo esc_html( extreme_lite_string_limit_words( $excerpt, esc_attr(get_theme_mod('extreme_lite_fourcolpage_excerpt_length','8')))); ?></p>
                               
                               <?php
                                    $extreme_lite_fourcolpage_readmoretext = get_theme_mod('extreme_lite_fourcolpage_readmoretext');
                                    if( !empty($extreme_lite_fourcolpage_readmoretext) ){ ?>
                                    <a class="ReadMoreBtn" href="<?php the_permalink(); ?>"><?php echo esc_html($extreme_lite_fourcolpage_readmoretext); ?></a>
                                <?php } ?>
                        </div>
                      </div>
                    <?php endwhile;
                    wp_reset_postdata();                                  
                } } ?>                                 
                 <div class="clear"></div>  
               </div>
           </div><!-- .container -->
         </section><!-- #Section-1-->          
      <?php } ?>    
          
     <?php if( $extreme_lite_welcomepage_sections_show != ''){ ?>   
         <section id="Section-2">
           <div class="container"> 
           <?php 
                if( get_theme_mod('extreme_lite_welcomesinglepage',false)) {      
                    $queryvar = new WP_Query('page_id='.absint(get_theme_mod('extreme_lite_welcomesinglepage',true)) );		
                    while( $queryvar->have_posts() ) : $queryvar->the_post(); ?>  
                     			
                             <?php if(has_post_thumbnail() ) { ?>
                                   <div class="welcome-left-45">
                                      <div class="ImgFix">
                                         <a href="<?php the_permalink(); ?>"><?php the_post_thumbnail(); ?></a> 
                                      </div>                               
                                    </div>        
                              <?php } ?>
                      
                               <div class="welcome-right-48">
									<?php
                                    $extreme_lite_welcomepage_sections_subtitle = get_theme_mod('extreme_lite_welcomepage_sections_subtitle');
                                    if( !empty($extreme_lite_welcomepage_sections_subtitle) ){ ?>
                                        <h4><?php echo esc_html($extreme_lite_welcomepage_sections_subtitle); ?></h4>
                                    <?php } ?>
                                   <h2><?php the_title(); ?></h2>
                                   <p><?php $excerpt = get_the_excerpt(); echo esc_html( extreme_lite_string_limit_words( $excerpt, esc_attr(get_theme_mod('extreme_lite_excerpt_length_welcomesinglepage','100')))); ?></p>
                                    <?php
                                    $extreme_lite_welcomesinglepage_readmoretext = get_theme_mod('extreme_lite_welcomesinglepage_readmoretext');
                                    if( !empty($extreme_lite_welcomesinglepage_readmoretext) ){ ?>
                                    <a class="ReadMoreBtn" href="<?php the_permalink(); ?>"><?php echo esc_html($extreme_lite_welcomesinglepage_readmoretext); ?></a>
                                    <?php } ?>
                         	 </div>
                    <?php endwhile;
                    wp_reset_postdata();                                  
                } ?> 
            <div class="clear"></div>    
     	 </div><!-- .container -->
      </section><!-- #Section-2-->  
    <?php } ?>    
<?php } ?>